package WEB-INF.classes.wenrgise.hrms.webtier.form;

import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmATDDptnOrderForSingleEmpForm extends HrmBaseForm {
  private String orderNo;
  
  private String orderDate;
  
  private String deputType;
  
  private String orderStatus;
  
  private String applnNo;
  
  private String employeeName;
  
  private String applicationDate;
  
  private String toOrg;
  
  private String toPost;
  
  private String deptnEffectDate;
  
  private String reportingDate;
  
  private String remarks;
  
  private String disaborderNo;
  
  private String disaborderDate;
  
  private String disabdeputType;
  
  private String disaborderStatus;
  
  private String disabapplnNo;
  
  private String disabemployeeName;
  
  private String disabapplicationDate;
  
  private String disabtoOrg;
  
  private String disabtoPost;
  
  private String disabdeptnEffectDate;
  
  private String disabreportingDate;
  
  private String disabremarks;
  
  private String butOrderNo;
  
  private String disabbutOrderNo;
  
  private String butOrderDate;
  
  private String butApplnNo;
  
  private String butToOrg;
  
  private String butToPost;
  
  private String butDeptnEffectDate;
  
  private String butReportingDate;
  
  private String disabbutOrderDate;
  
  private String disabbutApplnNo;
  
  private String disabbutToOrg;
  
  private String disabbutToPost;
  
  private String disabbutDeptnEffectDate;
  
  private String disabbutReportingDate;
  
  private String orderNoId;
  
  private String applnNoId;
  
  private String headerPrimaryKey1;
  
  private String hdnDeputType;
  
  private String hdnOrderStatus;
  
  private String butApprove;
  
  private String disabbutApprove;
  
  private String butReject;
  
  private String disabbutReject;
  
  private String fromSite;
  
  private String fromWorkGroup;
  
  private String toSite;
  
  private String toWorkGroup;
  
  private String deputStatus;
  
  private String phone;
  
  private String disabphone;
  
  private String mobilePhone;
  
  private String disabmobilePhone;
  
  private String fax;
  
  private String disabfax;
  
  private String email;
  
  private String disabemail;
  
  private String reptBackDate;
  
  private String disabreptBackDate;
  
  private String butReptBackDate;
  
  private String disabbutReptBackDate;
  
  String butSubmit;
  
  String disabbutSubmit;
  
  private String employeeNoId;
  
  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    return super.validate(mapping, request);
  }
  
  public String getOrderNo() {
    return this.orderNo;
  }
  
  public void setOrderNo(String newOrderNo) {
    this.orderNo = newOrderNo;
  }
  
  public String getOrderDate() {
    return this.orderDate;
  }
  
  public void setOrderDate(String newOrderDate) {
    this.orderDate = newOrderDate;
  }
  
  public String getDeputType() {
    return this.deputType;
  }
  
  public void setDeputType(String newDeputType) {
    this.deputType = newDeputType;
  }
  
  public String getOrderStatus() {
    return this.orderStatus;
  }
  
  public void setOrderStatus(String newOrderStatus) {
    this.orderStatus = newOrderStatus;
  }
  
  public String getApplnNo() {
    return this.applnNo;
  }
  
  public void setApplnNo(String newApplnNo) {
    this.applnNo = newApplnNo;
  }
  
  public String getEmployeeName() {
    return this.employeeName;
  }
  
  public void setEmployeeName(String newEmployeeName) {
    this.employeeName = newEmployeeName;
  }
  
  public String getApplicationDate() {
    return this.applicationDate;
  }
  
  public void setApplicationDate(String newApplicationDate) {
    this.applicationDate = newApplicationDate;
  }
  
  public String getToOrg() {
    return this.toOrg;
  }
  
  public void setToOrg(String newToOrg) {
    this.toOrg = newToOrg;
  }
  
  public String getToPost() {
    return this.toPost;
  }
  
  public void setToPost(String newToPost) {
    this.toPost = newToPost;
  }
  
  public String getDeptnEffectDate() {
    return this.deptnEffectDate;
  }
  
  public void setDeptnEffectDate(String newDeptnEffectDate) {
    this.deptnEffectDate = newDeptnEffectDate;
  }
  
  public String getReportingDate() {
    return this.reportingDate;
  }
  
  public void setReportingDate(String newReportingDate) {
    this.reportingDate = newReportingDate;
  }
  
  public String getRemarks() {
    return this.remarks;
  }
  
  public void setRemarks(String newRemarks) {
    this.remarks = newRemarks;
  }
  
  public String getDisaborderNo() {
    return this.disaborderNo;
  }
  
  public void setDisaborderNo(String newDisaborderNo) {
    this.disaborderNo = newDisaborderNo;
  }
  
  public String getDisaborderDate() {
    return this.disaborderDate;
  }
  
  public void setDisaborderDate(String newDisaborderDate) {
    this.disaborderDate = newDisaborderDate;
  }
  
  public String getDisabdeputType() {
    return this.disabdeputType;
  }
  
  public void setDisabdeputType(String newDisabdeputType) {
    this.disabdeputType = newDisabdeputType;
  }
  
  public String getDisaborderStatus() {
    return this.disaborderStatus;
  }
  
  public void setDisaborderStatus(String newDisaborderStatus) {
    this.disaborderStatus = newDisaborderStatus;
  }
  
  public String getDisabapplnNo() {
    return this.disabapplnNo;
  }
  
  public void setDisabapplnNo(String newDisabapplnNo) {
    this.disabapplnNo = newDisabapplnNo;
  }
  
  public String getDisabemployeeName() {
    return this.disabemployeeName;
  }
  
  public void setDisabemployeeName(String newDisabemployeeName) {
    this.disabemployeeName = newDisabemployeeName;
  }
  
  public String getDisabapplicationDate() {
    return this.disabapplicationDate;
  }
  
  public void setDisabapplicationDate(String newDisabapplicationDate) {
    this.disabapplicationDate = newDisabapplicationDate;
  }
  
  public String getDisabtoOrg() {
    return this.disabtoOrg;
  }
  
  public void setDisabtoOrg(String newDisabtoOrg) {
    this.disabtoOrg = newDisabtoOrg;
  }
  
  public String getDisabtoPost() {
    return this.disabtoPost;
  }
  
  public void setDisabtoPost(String newDisabtoPost) {
    this.disabtoPost = newDisabtoPost;
  }
  
  public String getDisabdeptnEffectDate() {
    return this.disabdeptnEffectDate;
  }
  
  public void setDisabdeptnEffectDate(String newDisabdeptnEffectDate) {
    this.disabdeptnEffectDate = newDisabdeptnEffectDate;
  }
  
  public String getDisabreportingDate() {
    return this.disabreportingDate;
  }
  
  public void setDisabreportingDate(String newDisabreportingDate) {
    this.disabreportingDate = newDisabreportingDate;
  }
  
  public String getDisabremarks() {
    return this.disabremarks;
  }
  
  public void setDisabremarks(String newDisabremarks) {
    this.disabremarks = newDisabremarks;
  }
  
  public String getButOrderNo() {
    return this.butOrderNo;
  }
  
  public void setButOrderNo(String newButOrderNo) {
    this.butOrderNo = newButOrderNo;
  }
  
  public String getDisabbutOrderNo() {
    return this.disabbutOrderNo;
  }
  
  public void setDisabbutOrderNo(String newDisabbutOrderNo) {
    this.disabbutOrderNo = newDisabbutOrderNo;
  }
  
  public String getButOrderDate() {
    return this.butOrderDate;
  }
  
  public void setButOrderDate(String newButOrderDate) {
    this.butOrderDate = newButOrderDate;
  }
  
  public String getButApplnNo() {
    return this.butApplnNo;
  }
  
  public void setButApplnNo(String newButApplnNo) {
    this.butApplnNo = newButApplnNo;
  }
  
  public String getButToOrg() {
    return this.butToOrg;
  }
  
  public void setButToOrg(String newButToOrg) {
    this.butToOrg = newButToOrg;
  }
  
  public String getButToPost() {
    return this.butToPost;
  }
  
  public void setButToPost(String newButToPost) {
    this.butToPost = newButToPost;
  }
  
  public String getButDeptnEffectDate() {
    return this.butDeptnEffectDate;
  }
  
  public void setButDeptnEffectDate(String newButDeptnEffectDate) {
    this.butDeptnEffectDate = newButDeptnEffectDate;
  }
  
  public String getButReportingDate() {
    return this.butReportingDate;
  }
  
  public void setButReportingDate(String newButReportingDate) {
    this.butReportingDate = newButReportingDate;
  }
  
  public String getDisabbutOrderDate() {
    return this.disabbutOrderDate;
  }
  
  public void setDisabbutOrderDate(String newDisabbutOrderDate) {
    this.disabbutOrderDate = newDisabbutOrderDate;
  }
  
  public String getDisabbutApplnNo() {
    return this.disabbutApplnNo;
  }
  
  public void setDisabbutApplnNo(String newDisabbutApplnNo) {
    this.disabbutApplnNo = newDisabbutApplnNo;
  }
  
  public String getDisabbutToOrg() {
    return this.disabbutToOrg;
  }
  
  public void setDisabbutToOrg(String newDisabbutToOrg) {
    this.disabbutToOrg = newDisabbutToOrg;
  }
  
  public String getDisabbutToPost() {
    return this.disabbutToPost;
  }
  
  public void setDisabbutToPost(String newDisabbutToPost) {
    this.disabbutToPost = newDisabbutToPost;
  }
  
  public String getDisabbutDeptnEffectDate() {
    return this.disabbutDeptnEffectDate;
  }
  
  public void setDisabbutDeptnEffectDate(String newDisabbutDeptnEffectDate) {
    this.disabbutDeptnEffectDate = newDisabbutDeptnEffectDate;
  }
  
  public String getDisabbutReportingDate() {
    return this.disabbutReportingDate;
  }
  
  public void setDisabbutReportingDate(String newDisabbutReportingDate) {
    this.disabbutReportingDate = newDisabbutReportingDate;
  }
  
  public String getOrderNoId() {
    return this.orderNoId;
  }
  
  public void setOrderNoId(String newOrderNoId) {
    this.orderNoId = newOrderNoId;
  }
  
  public String getApplnNoId() {
    return this.applnNoId;
  }
  
  public void setApplnNoId(String newApplnNoId) {
    this.applnNoId = newApplnNoId;
  }
  
  public String getHeaderPrimaryKey1() {
    return this.headerPrimaryKey1;
  }
  
  public void setHeaderPrimaryKey1(String newHeaderPrimaryKey1) {
    this.headerPrimaryKey1 = newHeaderPrimaryKey1;
  }
  
  public String getHdnDeputType() {
    return this.hdnDeputType;
  }
  
  public void setHdnDeputType(String newHdnDeputType) {
    this.hdnDeputType = newHdnDeputType;
  }
  
  public String getHdnOrderStatus() {
    return this.hdnOrderStatus;
  }
  
  public void setHdnOrderStatus(String newHdnOrderStatus) {
    this.hdnOrderStatus = newHdnOrderStatus;
  }
  
  public String getButApprove() {
    return this.butApprove;
  }
  
  public void setButApprove(String newButApprove) {
    this.butApprove = newButApprove;
  }
  
  public String getDisabbutApprove() {
    return this.disabbutApprove;
  }
  
  public void setDisabbutApprove(String newDisabbutApprove) {
    this.disabbutApprove = newDisabbutApprove;
  }
  
  public String getButReject() {
    return this.butReject;
  }
  
  public void setButReject(String newButReject) {
    this.butReject = newButReject;
  }
  
  public String getDisabbutReject() {
    return this.disabbutReject;
  }
  
  public void setDisabbutReject(String newDisabbutReject) {
    this.disabbutReject = newDisabbutReject;
  }
  
  public String getFromSite() {
    return this.fromSite;
  }
  
  public void setFromSite(String newFromSite) {
    this.fromSite = newFromSite;
  }
  
  public String getFromWorkGroup() {
    return this.fromWorkGroup;
  }
  
  public void setFromWorkGroup(String newFromWorkGroup) {
    this.fromWorkGroup = newFromWorkGroup;
  }
  
  public String getToSite() {
    return this.toSite;
  }
  
  public void setToSite(String newToSite) {
    this.toSite = newToSite;
  }
  
  public String getToWorkGroup() {
    return this.toWorkGroup;
  }
  
  public void setToWorkGroup(String newToWorkGroup) {
    this.toWorkGroup = newToWorkGroup;
  }
  
  public String getDeputStatus() {
    return this.deputStatus;
  }
  
  public void setDeputStatus(String newDeputStatus) {
    this.deputStatus = newDeputStatus;
  }
  
  public String getPhone() {
    return this.phone;
  }
  
  public void setPhone(String newPhone) {
    this.phone = newPhone;
  }
  
  public String getDisabphone() {
    return this.disabphone;
  }
  
  public void setDisabphone(String newDisabphone) {
    this.disabphone = newDisabphone;
  }
  
  public String getMobilePhone() {
    return this.mobilePhone;
  }
  
  public void setMobilePhone(String newMobilePhone) {
    this.mobilePhone = newMobilePhone;
  }
  
  public String getDisabmobilePhone() {
    return this.disabmobilePhone;
  }
  
  public void setDisabmobilePhone(String newDisabmobilePhone) {
    this.disabmobilePhone = newDisabmobilePhone;
  }
  
  public String getFax() {
    return this.fax;
  }
  
  public void setFax(String newFax) {
    this.fax = newFax;
  }
  
  public String getDisabfax() {
    return this.disabfax;
  }
  
  public void setDisabfax(String newDisabfax) {
    this.disabfax = newDisabfax;
  }
  
  public String getEmail() {
    return this.email;
  }
  
  public void setEmail(String newEmail) {
    this.email = newEmail;
  }
  
  public String getDisabemail() {
    return this.disabemail;
  }
  
  public void setDisabemail(String newDisabemail) {
    this.disabemail = newDisabemail;
  }
  
  public String getReptBackDate() {
    return this.reptBackDate;
  }
  
  public void setReptBackDate(String newReptBackDate) {
    this.reptBackDate = newReptBackDate;
  }
  
  public String getDisabreptBackDate() {
    return this.disabreptBackDate;
  }
  
  public void setDisabreptBackDate(String newDisabreptBackDate) {
    this.disabreptBackDate = newDisabreptBackDate;
  }
  
  public String getButReptBackDate() {
    return this.butReptBackDate;
  }
  
  public void setButReptBackDate(String newButReptBackDate) {
    this.butReptBackDate = newButReptBackDate;
  }
  
  public String getDisabbutReptBackDate() {
    return this.disabbutReptBackDate;
  }
  
  public void setDisabbutReptBackDate(String newDisabbutReptBackDate) {
    this.disabbutReptBackDate = newDisabbutReptBackDate;
  }
  
  public String getButSubmit() {
    return this.butSubmit;
  }
  
  public void setButSubmit(String newButSubmit) {
    this.butSubmit = newButSubmit;
  }
  
  public String getDisabbutSubmit() {
    return this.disabbutSubmit;
  }
  
  public void setDisabbutSubmit(String newDisabbutSubmit) {
    this.disabbutSubmit = newDisabbutSubmit;
  }
  
  public String getEmployeeNoId() {
    return this.employeeNoId;
  }
  
  public void setEmployeeNoId(String newEmployeeNoId) {
    this.employeeNoId = newEmployeeNoId;
  }
}
